package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc项目内容对象 cmc_project_work
 * 
 * @author cmc
 * @date 2024-02-28
 */
public class CmcProjectWork extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 工作内容id */
    private Long workId;

    /** 项目id */
    private String projectId;

    /** 工作内容 */
    @Excel(name = "工作内容")
    private String content;

    /** 等级或比例尺 */
    @Excel(name = "等级或比例尺")
    private String scale;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 工作量 */
    @Excel(name = "工作量")
    private String workload;

    /** 要求完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "要求完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deadline;

    /** 实际完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "实际完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    public void setWorkId(Long workId)
    {
        this.workId = workId;
    }

    public Long getWorkId()
    {
        return workId;
    }
    public void setProjectId(String projectId)
    {
        this.projectId = projectId;
    }

    public String getProjectId()
    {
        return projectId;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setScale(String scale) 
    {
        this.scale = scale;
    }

    public String getScale() 
    {
        return scale;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setWorkload(String workload) 
    {
        this.workload = workload;
    }

    public String getWorkload() 
    {
        return workload;
    }
    public void setDeadline(Date deadline) 
    {
        this.deadline = deadline;
    }

    public Date getDeadline() 
    {
        return deadline;
    }
    public void setFinishTime(Date finishTime)
    {
        this.finishTime = finishTime;
    }

    public Date getFinishTime()
    {
        return finishTime;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("projectId", getProjectId())
            .append("content", getContent())
            .append("scale", getScale())
            .append("unit", getUnit())
            .append("workload", getWorkload())
            .append("deadline", getDeadline())
            .append("finishTime", getFinishTime())
            .toString();
    }
}
